%global debug_package %{nil}
%define libnamedev %mklibname catch2 -d

Name:           catch
Version:        2.11.0
Release:        %mkrel 1
Summary:        A modern, C++-native, header-only, framework for unit-tests, TDD and BDD
Group:          System/Libraries
License:        Boost
URL:            https://github.com/philsquared/Catch
Source0:        https://github.com/philsquared/Catch/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  python3

%description
Catch stands for C++ Automated Test Cases in Headers and is a
multi-paradigm automated test framework for C++ and Objective-C (and,
maybe, C). It is implemented entirely in a set of header files, but
is packaged up as a single header for extra convenience.


%package -n     %{libnamedev}
Summary:        Development files for %{name}
Group:          System/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}2-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 1.2.1-4

%description -n %{libnamedev}
Catch stands for C++ Automated Test Cases in Headers and is a
multi-paradigm automated test framework for C++ and Objective-C (and,
maybe, C). It is implemented entirely in a set of header files, but
is packaged up as a single header for extra convenience.


%prep
%autosetup -p 1 -n Catch2-%{version}
# No python, just python3
sed -i -e "s|COMMAND python |COMMAND python3 |" projects/CMakeLists.txt


%build
%cmake -DCATCH_ENABLE_WERROR=OFF
%cmake_build


%install
%cmake_install
rm -rf %{buildroot}%{_docdir}


%check
%ctest


%files -n %{libnamedev}
%doc README.md CODE_OF_CONDUCT.md docs
%license LICENSE.txt
%{_includedir}/catch2/
%{_datadir}/Catch2/
%{_datadir}/pkgconfig/catch2.pc
%{_libdir}/cmake/Catch2/


%changelog
* Wed Nov 04 2020 daviddavid <daviddavid> 2.11.0-1.mga8
+ Revision: 1642669
- new version: 2.11.0
- now it is catch2

* Tue Feb 11 2020 umeabot <umeabot> 1.2.1-3.mga8
+ Revision: 1490259
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.2.1-2.mga7
+ Revision: 1261674
- Mageia 7 Mass Rebuild

* Mon Aug 08 2016 dlucio <dlucio> 1.2.1-1.mga6
+ Revision: 1044959
- group added
- first import
- no arch, it is header library
- imported package catch


* Fri Sep 18 2015 Tom Hughes <tom@compton.nu> - 1.2.1-1
- Initial build
